@import 'src/components/rem';

.base {
    position: relative;
}

.control {
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;

    padding: rem(7px);
    border: rem(1px) solid var(--color-gray);
    box-sizing: border-box;
    border-radius: rem(4px);
}

.open {
    background-color: var(--color-gray);
}

.actions {
    position: absolute;
    top: rem(-53px);

    background: #FFFFFF;
    border: rem(1px) solid var(--color-gray);
    box-sizing: border-box;
    box-shadow: 0 rem(4px) rem(12px) rgba(0, 0, 0, 0.12);
    border-radius: rem(4px);
    padding: rem(3px) 0;
}

.action {
    cursor: pointer;
    white-space: nowrap;
    padding: rem(8px) rem(16px);
}

.disabled {
    @extend .open;

    pointer-events: none;
    cursor: not-allowed;
}

.bottomLeft {
    top: rem(45px);
    right: 0;
}

.bottomRight {
    top: rem(45px);
    left: 0;
}

.load {
    * {
        fill: var(--color-gray-500)
    }
}
